//创娃store很简单，调用pinia中的definestore函数即可，该函数族收两个参数:
import {defineStore} from 'pinia'
import user from './user';
import menu from './menu';
console.log(user.actions)

//第一个参敬是应用程序中store的唯一id,就是给数据仓库起个名字
//第二个参数是一个对象,store的配置项，比如配置store内的嫩据，修改数据的方法等等
export const useUsersStore = defineStore('user',{
    //其他配置项
     //这里的state与vue2中用来存放初始化变量的data的写法相似，需要return
     state: user.state,
     actions: user.actions,
})

export const menuStore = defineStore('menu',{
     state: menu.state,
     actions: menu.actions,
})
